## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate hashbrown

Name:           rust-hashbrown
Version:        0.14.0
Release:        %autorelease
Summary:        Rust port of Google's SwissTable hash map

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/hashbrown
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop dependencies on compiler internals
Patch:          hashbrown-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A Rust port of Google's SwissTable hash map.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ahash-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ahash-devel %{_description}

This package contains library source intended for building other packages which
use the "ahash" feature of the "%{crate}" crate.

%files       -n %{name}+ahash-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+allocator-api2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+allocator-api2-devel %{_description}

This package contains library source intended for building other packages which
use the "allocator-api2" feature of the "%{crate}" crate.

%files       -n %{name}+allocator-api2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+inline-more-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+inline-more-devel %{_description}

This package contains library source intended for building other packages which
use the "inline-more" feature of the "%{crate}" crate.

%files       -n %{name}+inline-more-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+raw-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+raw-devel %{_description}

This package contains library source intended for building other packages which
use the "raw" feature of the "%{crate}" crate.

%files       -n %{name}+raw-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon-devel %{_description}

This package contains library source intended for building other packages which
use the "rayon" feature of the "%{crate}" crate.

%files       -n %{name}+rayon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rkyv-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rkyv-devel %{_description}

This package contains library source intended for building other packages which
use the "rkyv" feature of the "%{crate}" crate.

%files       -n %{name}+rkyv-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Jul 05 2023 Fabio Valentini <decathorpe@gmail.com> - 0.14.0-1
- Update to version 0.14.0; Fixes RHBZ#2212580

* Sun Jan 22 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.13.2-1
- Update to 0.13.2

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jul 17 2022 Fabio Valentini <decathorpe@gmail.com> - 0.12.3-2
- Skip doctests on armv7hl to temporarily work around a test failure

* Sun Jul 17 2022 Fabio Valentini <decathorpe@gmail.com> - 0.12.3-1
- Update to version 0.12.3; Fixes RHBZ#2041300

* Sun Jul 17 2022 Fabio Valentini <decathorpe@gmail.com> - 0.12.2-1
- Update to version 0.12.2; Fixes RHBZ#2041300

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 30 2021 Fabio Valentini <decathorpe@gmail.com> - 0.11.2-1
- Update to version 0.11.2; Fixes RHBZ#1938588

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 09 2020 Fabio Valentini <decathorpe@gmail.com> - 0.9.1-2
- Drop dependencies on compiler internals.

* Mon Sep 28 2020 Fabio Valentini <decathorpe@gmail.com> - 0.9.1-1
- Update to version 0.9.1.

* Tue Aug 11 2020 Josh Stone <jistone@redhat.com> - 0.8.2-1
- Update to 0.8.2

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 16 2020 Josh Stone <jistone@redhat.com> - 0.8.1-1
- Update to 0.8.1

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> - 0.8.0-1
- Update to 0.8.0

* Wed Apr 29 2020 Josh Stone <jistone@redhat.com> - 0.7.2-1
- Update to 0.7.2

* Tue Mar 17 2020 Josh Stone <jistone@redhat.com> - 0.7.1-1
- Update to 0.7.1

* Tue Feb 11 2020 Josh Stone <jistone@redhat.com> - 0.7.0-1
- Update to 0.7.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 27 2020 Josh Stone <jistone@redhat.com> - 0.6.3-3
- Bump to ahash 0.3.2 and rand 0.7.3
- Prune unstable features

* Wed Jan 15 2020 Josh Stone <jistone@redhat.com> - 0.6.3-2
- Bump to autocfg 1

* Fri Dec 20 19:23:00 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.3-1
- Update to 0.6.3

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 18 08:46:31 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0

* Thu May 09 14:16:35 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0

* Tue Apr 16 2019 Josh Stone <jistone@redhat.com> - 0.2.2-1
- Update to 0.2.2

* Mon Apr 15 2019 Josh Stone <jistone@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Thu Apr 04 08:09:30 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 14 2019 Josh Stone <jistone@redhat.com> - 0.1.8-1
- Initial package

